Closed Bug 546727 Opened 10 years ago Closed 10 years ago

Plugin Check keeps insisting that Shockwave is out-of-date

Categories

(Websites :: plugins.mozilla.org, defect)

x86
Windows XP
defect
Not set

Tracking

(Not tracked)

VERIFIED FIXED

People

(Reporter: jo.hermans, Assigned: rdoherty)

References

Details

Attachments

(5 files)

Mozilla/5.0 (Windows; U; Windows NT 5.1; en-US; rv:1.9.3a2pre) Gecko/20100217 Minefield/3.7a2pre

Today I upgraded my Flash Player. Afterwards I visited the Plugin Check page to verify, and then I noticed that my Shockwave for Director was out of date too (I forgot to make a note of what version I was running at that moment). I dowloaded the installer, and it installed version 11.5.6.606. Then I visited the Plugin Check again, but it still warned me that this version was out of date

1. what version does the Plugin Check want me to install  ? It detects that I have 11.5. I don't really remember what I was running before, but I think it was a version 11 too, maybe even the same 11.5.

2. the Plugin Check page can tell me that the version is out-of-date, but doesn't tell me what the latest version is (or the latest secure version). Note that the installer might even try to install an even newer version, if the information of Mozilla is out of date (earlier this week it didn't know that r45 was the real latest one, see bug 535554). Can we add that information somewhere ? Maybe phrase it like a recommendation, like for Adobe Acrobat, since we can't detect the version online.
Assignee: nobody → lorchard
For what it's worth, I can't reproduce this on my OS X machine running Minefield 3.7a2pre, and I don't have access to a windows machine at the moment. (Boot Camp machine is in the shop.)
Benjamin also confirmed it

The update was checked in bug 546727 (r62335)
From my about:plugins page :

Shockwave for Director

    File: C:\WINNT\system32\Adobe\Director\np32dsw.dll
    Version: 11.5.6.606
    Adobe Shockwave for Director Netscape plug-in, version 11.5

MIME Type 	Description 	Suffixes
application/x-director 	Shockwave Movie 	dir,dxr,dcr
Duplicate of this bug: 546885
Attached image describing the problem
Ah, okay, I see what the problem is from that second windows screenshot. Showing the Plugins tab from the Tools > Add-ons dialog is the key.

The version detection code in plugin check can only see the version number in the plugin name or description, and not the full version as shown in the plugins dialog.  That limitation of plugin check is described here:

https://wiki.mozilla.org/Plugins:PluginDirectory/HowPluginDetectionWorks#Version_is_not_directly_exposed

In the screenshot from Windows, the version in the description appears to be "11.5". So, we can't make a full comparison to the true version of "11.5.6.606". Thus, the installed plugin on Windows always looks out of date.

There's a solution for this in the new Plugin Directory code (not yet launched), but not sure how to apply that to the existing Plugin Check page.


On Windows, the version detection code in the browser can only see the "11.5" as a version
Duplicate of this bug: 550652
The system just sent me an automated message that Bug 550652 was resolved. Why would it do that? Obviously this is still an open issue.

Earlier, it pointed out this bug report.
Read again : it's resolved as a duplicate, not resolved as fixed.
No, I just got the one word "resolved" in a cryptic email message, not "resolved as duplicate", so I tried the plugin check again; no joy. My reading skills are just fine, thank you for your concern. There was an earlier message referring to this older bug report.
Ermm, this is a dupe of Bug 527023, no?
per Bug 527023 comment 2 Adobe has needs for adjustment, per comment 7 here we do.
(In reply to comment #2)
> Benjamin also confirmed it
> 
> The update was checked in bug 546727 (r62335)

Bug 541009 - Update Plugin Checking for Shockwave Director (RESOLVED FIXED)
...per Bug 541009 comment 1 a fix was "checked in r62335 to update PFS2 for the plugin check page. Waiting on IT bug 545918 for production update."
(In reply to comment #7)
> There's a solution for this in the new Plugin Directory code (not yet
> launched), but not sure how to apply that to the existing Plugin Check page.

(For the record)
Bug 522585 - use navigator.plugins[id].version for version information on plugincheck page  (RESOLVED FIXED)
...per Bug 522585 comment 13 " http://www-trunk.stage.mozilla.com/en-US/plugincheck/ has been updated to use navigator.plugins[id].version."

The new PluginCheck page linked above correctly identifies Shockwave for Director 11.5.6.606 as up to date.

Related support forum topic:
http://support.mozilla.com/en-US/forum/1/593628 - Why does the plug-in updater show that my version of Shockwave is NOT updated after I have updated that plug-in?
(In reply to comment #14)
> http://www-trunk.stage.mozilla.com/en-US/plugincheck/
> The new PluginCheck page linked above correctly identifies Shockwave for
> Director 11.5.6.606 as up to date.

Unfortunately, "RealPlayer Version Plugin" has now gone missing when I tested that on Win XP/SP3 FF 3.6.3. New PluginCheck page reports "Unable To Detect Plugin Version" for "RealPlayer Version Plugin", but that plugin *is* detected correctly by the current production PluginCheck page.

Not exactly sure where/how to report this possible regression failure, so I'm adding this comment to both Bug 546727 and Bug 522585, in case this hasn't already been noticed/reported.
(In reply to comment #14)
> http://www-trunk.stage.mozilla.com/en-US/plugincheck/ has been updated to use
> navigator.plugins[id].version."
> 
> The new PluginCheck page linked above correctly identifies Shockwave for
> Director 11.5.6.606 as up to date.

The staging page is still wrong for me, on Mozilla/5.0 (Windows; U; Windows NT 5.1; en-US; rv:1.9.1.10pre) Gecko/20100428 Shiretoko/3.5.10pre.
works for me, it now detects Shockwave 11.5.6.606 correctly. Adobe's test page displays 11.5.6r606 too.

Mozilla/5.0 (Windows; U; Windows NT 5.1; en-US; rv:1.9.2.3) Gecko/20100401 Firefox/3.6.3
(In reply to comment #16)
> Created an attachment (id=442397) [details]
> screenshot: plugincheck vs. test adobe shockwave player
> 
> (In reply to comment #14)
> > http://www-trunk.stage.mozilla.com/en-US/plugincheck/ has been updated to use
> > navigator.plugins[id].version."
> > 
> > The new PluginCheck page linked above correctly identifies Shockwave for
> > Director 11.5.6.606 as up to date.
> 
> The staging page is still wrong for me, on Mozilla/5.0 (Windows; U; Windows NT
> 5.1; en-US; rv:1.9.1.10pre) Gecko/20100428 Shiretoko/3.5.10pre.

You need Firefox 3.6 for that page to correctly detect your Shockwave for Director version.  You're using 3.5.
Component: www.mozilla.com → plugins.mozilla.org
Assignee: lorchard → rdoherty
Target Milestone: --- → 1.1
Marking as fixed, Firefox 3.6 detects the version correctly.
Status: NEW → RESOLVED
Closed: 10 years ago
Resolution: --- → FIXED
Verified FIXED using Mozilla/5.0 (Windows; U; Windows NT 5.1; en-US; rv:1.9.2.6) Gecko/20100625 Firefox/3.6.6 (.NET CLR 3.5.30729) and:

Shockwave for Director

File: np32dsw.dll
Version: 11.5.7.609
Adobe Shockwave for Director Netscape plug-in, version 11.5
Status: RESOLVED → VERIFIED
I know that this bug is filed for windows, but I get the same for Linux.
I am not sure if opening a new bugzilla entry for this issue is useful.

Mozilla/5.0 (X11; Linux i686; rv:2.0.1) Gecko/20100101 Firefox/4.0.1

about:plugins
Shockwave Flash

    Datei: libflashplayer.so
    Version: 
    Shockwave Flash 10.2 r159



I still get the "Outdated Version" for Shockwave Flash 10.2.159.1
and firefox 4.0.1 on Linux.
Tested with
http://www.mozilla.com/en-US/plugincheck/
http://www-trunk.stage.mozilla.com/en-US/plugincheck/

The Adobe test site
http://www.adobe.com/shockwave/welcome/
says that my Shockwave Flash is ok.

"about:addons"->Plugins says that it is Shockwave Flash 10.2 r159 , 12/04/11 .

The mentioned page:
http://support.mozilla.com/en-US/forum/1/593628
says "Page Not Found".
You need to log in before you can comment on or make changes to this bug.